# Cinder

# cinder::DataTargetPath Class Reference

`#include <DataTarget.h>`

Inherits cinder::DataTarget.

List of all members.

## Public Member Functions
virtual bool | providesFilePath ()
virtual bool | providesUrl ()
virtual OStreamRef | getStream ()
const std::string & | getFilePath ()
const Url & | getUrl ()
const std::string & | getFilePathHint ()
## Static Public Member Functions
static DataTargetPathRef | createRef (const std::string &path)
## Protected Member Functions
| DataTargetPath (const std::string &path)
void | setFilePathHint (const std::string &aFilePathHint)
## Protected Attributes
OStreamFileRef | mStream
Buffer | mBuffer
std::string | mFilePath
std::string | mFilePathHint
Url | mUrl

## Constructor & Destructor Documentation

cinder::DataTargetPath::DataTargetPath | ( | const std::string & | path | ) | `[protected]`

## Member Function Documentation

DataTargetPathRef cinder::DataTargetPath::createRef | ( | const std::string & | path | ) | `[static]`

virtual bool cinder::DataTargetPath::providesFilePath | ( |  | ) | `[virtual]`

Implements cinder::DataTarget.

virtual bool cinder::DataTargetPath::providesUrl | ( |  | ) | `[virtual]`

Implements cinder::DataTarget.

OStreamRef cinder::DataTargetPath::getStream | ( |  | ) | `[virtual]`

Implements cinder::DataTarget.

const std::string & cinder::DataTarget::getFilePath | ( |  | ) | `[inherited]`

const Url & cinder::DataTarget::getUrl | ( |  | ) | `[inherited]`

const std::string & cinder::DataTarget::getFilePathHint | ( |  | ) | `[inherited]`

void cinder::DataTarget::setFilePathHint | ( | const std::string & | aFilePathHint | ) | `[protected, inherited]`

## Member Data Documentation

OStreamFileRef cinder::DataTargetPath::mStream`[protected]`

Buffer cinder::DataTarget::mBuffer`[protected, inherited]`

std::string cinder::DataTarget::mFilePath`[protected, inherited]`

std::string cinder::DataTarget::mFilePathHint`[protected, inherited]`

Url cinder::DataTarget::mUrl`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/DataTarget.h
- src/cinder/DataTarget.cpp